APIEntities
Update entity
Partially updates a Knowledge Base entity.
x-api-key<token>
Preferred authentication header.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.agent-brains.com/knowledge-base/entities/string" \ -H "Content-Type: application/json" \ -d '{}'{
"_id": "string",
"name": "string",
"description": "string",
"details": "string",
"source": "string",
"sku": "string",
"status": "draft",
"category": "string",
"isVectorized": true,
"tags": [
"string"
],
"attachments": [
{
"id": "string",
"type": "string",
"url": "string",
"name": "string"
}
],
"relations": [
{
"sourceEntity": "string",
"targetEntity": "string",
"categoryPath": [
"string"
],
"type": "string",
"relationDescription": "string"
}
],
"createdAt": "string",
"updatedAt": "string"
}Empty
Empty
Empty